package CheckReleaseEditor::Template::Tags::Author;

use strict;
use warnings;

use MT;

sub _hdlr_return_author_display_name {
	my ($ctx, $args) = @_;
	my $vars = $ctx->stash('vars');
	my $user = $vars->{editor};
	my $plugin = MT->component('CheckRelease');
	die $plugin->translate("Use [_1] in [_2] template.",
		'ReturnAuthorDisplayName', $plugin->translate('Return to notification'))
		unless ref $user;
	$user->nickname;
}

sub _hdlr_return_author_id {
	my ($ctx, $args) = @_;
	my $vars = $ctx->stash('vars');
	my $user = $vars->{editor};
	my $plugin = MT->component('CheckRelease');
	die $plugin->translate("Use [_1] in [_2] template.",
		'ReturnAuthorDisplayName', $plugin->translate('Return to notification'))
		unless ref $user;
	$user->id;
}

sub _hdlr_return_author_name {
	my ($ctx, $args) = @_;
	my $vars = $ctx->stash('vars');
	my $user = $vars->{editor};
	my $plugin = MT->component('CheckRelease');
	die $plugin->translate("Use [_1] in [_2] template.",
		'ReturnAuthorDisplayName', $plugin->translate('Return to notification'))
		unless ref $user;
	$user->name;
}

1;

